/**
 * A custom element for comparing two map layers or images using a slider.
 * This component creates a split-screen view with an adjustable slider to compare two images or layers.
 */
export class EOxMapCompare extends LitElement {
    static get properties(): {
        value: {
            attribute: string;
            type: NumberConstructor;
        };
        enabled: {
            attribute: string;
            type: StringConstructor;
        };
    };
    /**
     * The current position of the comparison slider (0 to 100).
     * @type {number}
     */
    value: number;
    /**
     * Whether the comparison is enabled and which part is visible.
     * Accepts values: "first", "second", or "true" (default).
     * @type {string}
     */
    enabled: string;
    render(): import("lit-html").TemplateResult<1>;
    #private;
}
import { LitElement } from "lit";
//# sourceMappingURL=compare.d.ts.map