/**
 * A custom element that serves as a tooltip for the map.
 * Displays information about map features in a styled format.
 */
export class EOxMapTooltip extends LitElement {
    static get properties(): {
        feature: {
            attribute: boolean;
            property: boolean;
            type: ObjectConstructor;
        };
        propertyTransform: {
            attribute: boolean;
            property: boolean;
            type: FunctionConstructor;
        };
    };
    /**
     * The rendered feature.
     *
     * @type {import("ol/Feature").default | import("ol/render/Feature").default}
     */
    feature: import("ol/Feature").default | import("ol/render/Feature").default;
    /**
     * A function to transform properties before rendering.
     *
     * @param {{ key: string; value: unknown }} property
     * @param {import("ol/Feature").default | import("ol/render/Feature").default} _feature
     */
    propertyTransform: (property: {
        key: string;
        value: unknown;
    }, _feature: import("ol/Feature").default | import("ol/render/Feature").default) => {
        key: string;
        value: unknown;
    };
    render(): import("lit-html").TemplateResult<1> | typeof nothing;
}
import { LitElement } from "lit";
import { nothing } from "lit";
//# sourceMappingURL=tooltip.d.ts.map