/**
 * Adds a control to the map and to the `mapControls` dictionary if it doesn't exist yet.
 * Removes and remakes the control if the options differ; otherwise, leaves the control untouched.
 *
 * @param {import("../main").EOxMap} EOxMap - The map instance.
 * @param {ControlDictionary} existingControls - Dictionary of existing controls.
 * @param {ControlType} type - The type of control to add or update.
 * @param {object} options - Options for the control.
 */
export function addOrUpdateControl(EOxMap: import("../main").EOxMap, existingControls: ControlDictionary, type: ControlType, options: object): void;
/**
 * Adds a control to the map.
 *
 * @param {import("../main").EOxMap} EOxMap - The map instance.
 * @param {ControlType} type - The type of control to add.
 * @param {object} options - Options for the control.
 */
export function addControl(EOxMap: import("../main").EOxMap, type: ControlType, options: object): void;
export type ControlDictionary = import("../types").ControlDictionary;
export type ControlType = import("../types").ControlType;
//# sourceMappingURL=controls.d.ts.map