/**
 * @typedef {import("../types").GeolocationOptions} GeolocationOptions
 */
export default class GeolocationControl extends Control {
    /**
     * @param {GeolocationOptions} [opt_options] - Control options.
     */
    constructor(opt_options?: GeolocationOptions);
    _centerWhenReady: boolean;
    _highAccuracy: boolean;
    _trackAccuracy: boolean;
    _trackHeading: boolean;
    _positionFeature: Feature<Point>;
    _source: VectorSource<Feature<Point>>;
    _accuracyFeature: Feature<import("ol/geom").Geometry>;
    _layer: VectorLayer<VectorSource<Feature<Point>>, Feature<Point>>;
    /**
     * Initializes the geolocation control.
     * This will prompt the user for geolocation permissions in the browser.
     */
    initGeolocation(): Promise<any>;
    _geolocation: Geolocation;
    /**
     * Returns the geolocation control element.
     *
     * @returns {HTMLElement} - The control element.
     */
    getElement(): HTMLElement;
    /**
     * Centers the map on the position of the geolocation, if possible.
     */
    centerOnPosition(): Promise<void>;
}
export type GeolocationOptions = import("../types").GeolocationOptions;
import Control from "ol/control/Control.js";
import Point from "ol/geom/Point";
import Feature from "ol/Feature";
import VectorSource from "ol/source/Vector.js";
import VectorLayer from "ol/layer/Vector.js";
import Geolocation from "ol/Geolocation";
//# sourceMappingURL=geo-location.d.ts.map