/**
 * @typedef {import("../types").LoadingIndicatorOptions} LoadingIndicatorOptions
 */
export default class LoadingIndicatorControl extends Control {
    /**
     * Creates a loading indicator control to show when map loading events occur.
     *
     * @param {LoadingIndicatorOptions} [opt_options] - Options for configuring the loading indicator control.
     */
    constructor(opt_options?: LoadingIndicatorOptions);
    /**
     * Returns the loading indicator element.
     *
     * @returns {HTMLElement} - The control element.
     */
    getElement(): HTMLElement;
}
export type LoadingIndicatorOptions = import("../types").LoadingIndicatorOptions;
import Control from "ol/control/Control.js";
//# sourceMappingURL=loading-indicator.d.ts.map