/**
 * Adds new features to a specified vector layer from drawing/upload/input change events.
 * This function supports handling both single and multiple features.
 *
 * @param {import("ol/interaction/Draw").DrawEvent | import("ol/interaction/DragAndDrop").DragAndDropEvent | { features: Array<import("ol/Feature").default> }} e - The event object from drawing or drag-and-drop actions, containing the features.
 * @param {import("ol/layer").Vector} vectorLayer - The vector layer to which features will be added.
 * @param {import("../main").EOxMap} EOxMap - The EOxMap instance for dispatching custom events and adjusting the view.
 * @param {boolean} isDraw - Optional. If true, indicates the features come from a drawing event.
 * @param {boolean} replaceFeatures - Optional. If true, existing features in the layer are cleared before adding new ones.
 * @param {boolean} animate - Optional. If true, the map will animate to the new features.
 */
export default function addNewFeature(e: import("ol/interaction/Draw").DrawEvent | import("ol/interaction/DragAndDrop").DragAndDropEvent | {
    features: Array<import("ol/Feature").default>;
}, vectorLayer: import("ol/layer").Vector, EOxMap: import("../main").EOxMap, isDraw?: boolean, replaceFeatures?: boolean, animate?: boolean): void;
//# sourceMappingURL=add-new-feature.d.ts.map