/**
 * returns an ol-coordinate from a given center property.
 * the coordinate expected coordinate system is EPSG:3857, however,
 * if both parts of the coordinate are between -180 and 180, the coordinate
 * system EPSG:4326 is assumed.
 * use `map.getView().setCenter()` to manually set the center of the view.
 *
 * @param {Array<number>} centerProperty - The input coordinate as [longitude, latitude].
 * @returns {import("ol/coordinate").Coordinate} - The converted coordinate in EPSG:3857.
 */
export function getCenterFromProperty(centerProperty: Array<number>): import("ol/coordinate").Coordinate;
//# sourceMappingURL=center.d.ts.map