/**
 * A helper function to determine approximate equality between two coordinates.
 * This function is based on OpenLayers' "equals" method but includes a tolerance (epsilon).
 *
 * @param {import("ol/coordinate").Coordinate} coordinate1 - The first coordinate to compare.
 * @param {import("ol/coordinate").Coordinate} coordinate2 - The first coordinate to compare.
 * @param {number?} [epsilon] - The first coordinate to compare.
 *
 * @return {boolean} - True if the coordinates are approximately equal, false otherwise.
 */
export default function coordinatesRoughlyEquals(coordinate1: import("ol/coordinate").Coordinate, coordinate2: import("ol/coordinate").Coordinate, epsilon?: number | null): boolean;
//# sourceMappingURL=coordinates-roughly-equals.d.ts.map