/**
 * @typedef {import("../types").DrawOptions} DrawOptions
 * @typedef {import("../types").SelectOptions} SelectOptions
 * @typedef {import("../types").SelectLayer} SelectLayer
 * @typedef {import("ol/layer").Vector} VectorLayer
 * */
/**
 * Adds a `draw` interaction to the map. If `options.modify` is set, it also adds a `modify` interaction.
 * The `modify` interaction's name follows the convention `${DrawOptions.id}_modify`.
 *
 * @param {import("../main").EOxMap} EOxMap - The map object where the interactions will be added.
 * @param {import("ol/layer").Vector<import("ol/source").Vector>} drawLayer - The map object where the interactions will be added.
 * @param {DrawOptions} options - The map object where the interactions will be added.
 *
 * @throws Will throw an error if an interaction with the given ID already exists.
 */
export function addDraw(EOxMap: import("../main").EOxMap, drawLayer: import("ol/layer").Vector<import("ol/source").Vector>, options: DrawOptions): void;
export type DrawOptions = import("../types").DrawOptions;
export type SelectOptions = import("../types").SelectOptions;
export type SelectLayer = import("../types").SelectLayer;
export type VectorLayer = import("ol/layer").Vector;
//# sourceMappingURL=draw.d.ts.map