/**
 * Creates an OpenLayers layer from a given EoxLayer definition object.
 *
 * @param {import("../main").EOxMap} EOxMap - The map instance.
 * @param {EoxLayer} layer - The layer definition.
 * @param {boolean} [createInteractions=true] - Whether to create interactions for the layer (default: true).
 * @returns {AnyLayer} - The created OpenLayers layer.
 * @throws Will throw an error if the specified layer or source type is not supported.
 */
export function createLayer(EOxMap: import("../main").EOxMap, layer: EoxLayer, createInteractions?: boolean): AnyLayer;
/**
 * Updates an existing layer with a new definition.
 *
 * @param {import("../main").EOxMap} EOxMap - The map instance.
 * @param {EoxLayer} newLayerDefinition - The new layer definition.
 * @param {import("ol/layer/Base").default} existingLayer - The existing layer to be updated.
 * @returns {import("ol/layer/Base").default} - The updated layer.
 *
 * @throws Will throw an error if the new layer is not compatible with the existing one.
 */
export function updateLayer(EOxMap: import("../main").EOxMap, newLayerDefinition: EoxLayer, existingLayer: import("ol/layer/Base").default): import("ol/layer/Base").default;
export function generateLayers(EOxMap: import("../main").EOxMap, layerArray: Array<EoxLayer>): Array<AnyLayer>;
export type EOxMap = import("../main").EOxMap;
export type AnyLayer = import("../types").AnyLayer;
export type EoxLayer = import("../layers").EoxLayer;
export type SelectLayer = import("../types").SelectLayer;
export type EOxInteraction = import("../types").EOxInteraction;
export type DrawOptions = import("../types").DrawOptions;
export type SelectOptions = import("../types").SelectOptions;
export type AnyLayerWithSource = import("../types").AnyLayerWithSource;
export type VectorOrVectorTileLayer = import("../types").VectorOrVectorTileLayer;
//# sourceMappingURL=generate.d.ts.map