/**
 * Adds interactions to control scroll behavior on the specified OpenLayers map.
 * If `customInteraction` is true, enables zooming only with a platform-specific modifier key (e.g., `Ctrl` on Windows).
 * On touch devices, allows dragging with two fingers or a modifier key.
 *
 * @param {import("ol").Map} map - The OpenLayers map to which the interactions should be added.
 * @param {boolean} customInteraction - Indicates whether to use custom interactions (default: false).
 */
export function addScrollInteractions(map: import("ol").Map, customInteraction?: boolean): void;
/**
 * Removes interactions that prevent scroll behavior from the specified OpenLayers map.
 *
 * @param {import("ol").Map} map - The OpenLayers map from which the interactions should be removed.
 */
export function removeDefaultScrollInteractions(map: import("ol").Map): void;
//# sourceMappingURL=interactions.d.ts.map