/**
 * Fetches the projection definition for a given EPSG code from epsg.io and registers the projection using proj4.
 *
 * @param {string | number} code - The EPSG code (e.g., 4326 or 'EPSG:4326').
 * @returns {Promise<import("ol/proj/Projection").default>} - A promise that resolves to the registered projection.
 */
export default function registerProjectionFromCode(code: string | number): Promise<import("ol/proj/Projection").default>;
//# sourceMappingURL=register-projection-from-code.d.ts.map