/**
 * Registers a projection under a given name using a proj4 definition.
 * This allows OpenLayers to recognize and work with custom or predefined projections.
 *
 * @param {string} name - The name of the projection (e.g., "EPSG:4326").
 * @param {string | proj4.ProjectionDefinition} projection - The proj4 projection definition string or object.
 * @param {import("ol/extent").Extent} [extent=undefined] - Optional extent for the projection. Defines the coordinate system's valid area.
 */
export default function registerProjection(name: string, projection: string | proj4.ProjectionDefinition, extent?: import("ol/extent").Extent): void;
import proj4 from "proj4";
//# sourceMappingURL=register-projection.d.ts.map