/**
 * @typedef {import("../layers").EoxLayer} EoxLayer
 * */
/**
 * Generates a tile grid for the specified layer. If the layer's source type is "WMTS",
 * a `WMTSTileGrid` is generated. Otherwise, an `XYZ` tile grid is generated using the
 * OpenLayers `createXYZ` function. Returns `undefined` if the layer's tile grid is not defined.
 *
 * @param {EoxLayer} layer - The layer configuration object, containing source and tile grid information.
 * @returns {import("ol/tilegrid/WMTS").default | import("ol/tilegrid/TileGrid").default | undefined} - The generated tile grid or `undefined` if not applicable.
 */
export function generateTileGrid(layer: EoxLayer): import("ol/tilegrid/WMTS").default | import("ol/tilegrid/TileGrid").default | undefined;
export type EoxLayer = import("../layers").EoxLayer;
//# sourceMappingURL=tile-grid.d.ts.map