/**
 * Transforms coordinates to a given projection.
 * If no `destination` is defined, the coordinate is transformed to EPSG:4326
 * @param {import('ol/coordinate').Coordinate} coordinate
 * @param {import('ol/proj').ProjectionLike} source
 * @param {import('ol/proj').ProjectionLike} destination
 * @returns {import('ol/coordinate').Coordinate}
 */
export function transform(coordinate: import("ol/coordinate").Coordinate, source: import("ol/proj").ProjectionLike, destination?: import("ol/proj").ProjectionLike): import("ol/coordinate").Coordinate;
/**
 * Transforms an extent to a given projection.
 * Uf no `destination` is defined, the extent is transformed to EPSG:4326.
 * @param {import('ol/extent').Extent} extent
 * @param {import('ol/proj').ProjectionLike} source
 * @param {import('ol/proj').ProjectionLike=} destination
 * @returns {import('ol/extent').Extent}
 */
export function transformExtent(extent: import("ol/extent").Extent, source: import("ol/proj").ProjectionLike, destination?: import("ol/proj").ProjectionLike | undefined): import("ol/extent").Extent;
//# sourceMappingURL=transform.d.ts.map