/**
 * Retrieves the current center of the map in longitude and latitude coordinates.
 *
 * @param {import("../../main").EOxMap} EOxMap - The map object containing the map instance and its projection information.
 * @returns {Array<number>} - The center coordinates of the map in longitude and latitude.
 */
export function getLonLatCenterMethod(EOxMap: import("../../main").EOxMap): Array<number>;
/**
 * Retrieves the current extent (bounding box) of the map in longitude and latitude coordinates.
 *
 * @param {import("../../main").EOxMap} EOxMap - The map object containing the map instance, projection information, and size.
 * @returns {Array<number>} - The extent of the map in longitude and latitude.
 */
export function getLonLatExtentMethod(EOxMap: import("../../main").EOxMap): Array<number>;
//# sourceMappingURL=getters.d.ts.map