/**
 * Removes an interaction from the map and deletes it from the interaction list in EOxMap.
 *
 * @param {string | number} id - The identifier for the interaction to be removed.
 * @param {import("../../main").EOxMap} EOxMap - The map object containing the map instance and interactions list.
 */
export function removeInteractionMethod(id: string | number, EOxMap: import("../../main").EOxMap): void;
/**
 * Removes a select interaction from the map and deletes it from the select interactions list in EOxMap.
 *
 * @param {string | number} id - The identifier for the select interaction to be removed.
 * @param {import("../../main").EOxMap} EOxMap - The map object containing the select interactions list.
 */
export function removeSelectMethod(id: string | number, EOxMap: import("../../main").EOxMap): void;
/**
 * Removes a control from the map and deletes it from the map controls list in EOxMap.
 *
 * @param {string} id - The identifier for the control to be removed.
 * @param {import("../../main").EOxMap} EOxMap - The map object containing the map instance and controls list.
 */
export function removeControlMethod(id: string, EOxMap: import("../../main").EOxMap): void;
//# sourceMappingURL=remove.d.ts.map